// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/Footer.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.marker;


@SuppressWarnings("fallthrough")
public class Footer extends JFlexAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int inFooter = 2;
  public static final int inFooterStart = 4;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1,  1,  2, 2
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\36\u0200\1\u0300\267\u0200\10\u0400\u1020\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\3\1\4\1\2\22\0\1\1"+
    "\5\0\1\5\1\6\4\0\1\7\1\0\1\10\1\0"+
    "\1\11\1\12\1\13\1\14\2\15\2\16\1\17\1\20"+
    "\1\21\1\22\1\23\1\0\1\24\2\0\1\25\1\26"+
    "\1\27\1\30\1\31\1\32\1\33\1\34\1\35\2\0"+
    "\1\36\1\37\1\40\1\41\1\42\1\0\1\43\1\44"+
    "\1\45\1\46\1\47\1\0\1\50\1\0\1\51\3\0"+
    "\1\52\1\0\1\6\1\25\1\26\1\27\1\53\1\31"+
    "\1\54\1\33\1\34\1\35\2\0\1\36\1\37\1\40"+
    "\1\55\1\42\1\0\1\43\1\44\1\45\1\46\1\47"+
    "\1\0\1\50\1\0\1\51\12\0\1\3\52\0\1\52"+
    "\3\0\1\6\5\0\1\52\165\0\2\35\115\0\1\44"+
    "\u0182\0\1\1\26\0\1\6\16\0\2\3\326\0\u0100\3";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1280];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\3\0\2\1\1\2\1\1\1\2\41\0\2\3\7\0"+
    "\1\3\6\0\1\3\13\0\1\3\21\0\1\3\1\0"+
    "\1\4\21\0\1\3\24\0\1\3\30\0\2\3\3\0"+
    "\4\4\10\0\3\3\10\0\2\3\6\0\2\3\6\0"+
    "\2\3\5\0\2\3\11\0\2\3\125\0\2\4\5\0"+
    "\1\4\74\0\1\4\5\0\1\4\25\0\1\4\2\0"+
    "\1\4\4\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[406];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\56\0\134\0\212\0\270\0\212\0\346\0\u0114"+
    "\0\u0142\0\u0114\0\u0170\0\u019e\0\u01cc\0\u01fa\0\u0228\0\u0256"+
    "\0\u0284\0\u02b2\0\u02e0\0\u030e\0\u033c\0\u036a\0\u0398\0\u03c6"+
    "\0\u03f4\0\u0422\0\u0450\0\u047e\0\u04ac\0\u04da\0\u0508\0\u0536"+
    "\0\u0564\0\u0592\0\u05c0\0\u05ee\0\u061c\0\u064a\0\u0678\0\u06a6"+
    "\0\u06d4\0\u0564\0\u0702\0\u0730\0\u075e\0\u078c\0\u07ba\0\u07e8"+
    "\0\u0816\0\u0844\0\u0872\0\u08a0\0\u08ce\0\u08fc\0\u092a\0\u0958"+
    "\0\u0986\0\u09b4\0\u09e2\0\u0a10\0\u0a3e\0\u0a6c\0\u0a9a\0\u0ac8"+
    "\0\u0af6\0\u0b24\0\u0b52\0\u0b80\0\u0bae\0\u0bdc\0\u0c0a\0\u0c38"+
    "\0\u0c66\0\u0c94\0\u0cc2\0\u0cf0\0\u0d1e\0\u0d4c\0\u0d7a\0\u0da8"+
    "\0\u0dd6\0\u0e04\0\u0e32\0\u0e60\0\u0e8e\0\u0ebc\0\u0eea\0\u0f18"+
    "\0\u0f46\0\u0c38\0\u0f74\0\u0fa2\0\u0fd0\0\u0ffe\0\u102c\0\u105a"+
    "\0\u1088\0\u10b6\0\u10e4\0\u1112\0\u1140\0\u116e\0\u119c\0\u11ca"+
    "\0\u11f8\0\u1226\0\u1254\0\u1282\0\u12b0\0\u12de\0\u130c\0\u133a"+
    "\0\u1368\0\u1396\0\u13c4\0\u13f2\0\u1420\0\u144e\0\u147c\0\u14aa"+
    "\0\u14d8\0\u1506\0\u1534\0\u1562\0\u1590\0\u15be\0\u15ec\0\u161a"+
    "\0\u1648\0\u1676\0\u16a4\0\u16d2\0\u1700\0\u172e\0\u175c\0\u178a"+
    "\0\u17b8\0\u17e6\0\u1814\0\u1842\0\u1870\0\u189e\0\u18cc\0\u18fa"+
    "\0\u1928\0\u1956\0\u1984\0\u19b2\0\u19e0\0\u1a0e\0\u1a3c\0\u1a6a"+
    "\0\u1a98\0\u1ac6\0\u1af4\0\u1b22\0\u1b50\0\u1b7e\0\u033c\0\u1bac"+
    "\0\u178a\0\u1bda\0\u1c08\0\u1c36\0\u1c64\0\u1c92\0\u1cc0\0\u1cee"+
    "\0\u1d1c\0\u1d4a\0\u1d78\0\u1da6\0\u1dd4\0\u1e02\0\u1e30\0\u1e5e"+
    "\0\u1e8c\0\u1eba\0\u1ee8\0\u1f16\0\u1f44\0\u1f72\0\u1fa0\0\u1fce"+
    "\0\u1ffc\0\u202a\0\u2058\0\u2086\0\u20b4\0\u20e2\0\u2110\0\u213e"+
    "\0\u216c\0\u219a\0\u21c8\0\u21f6\0\u2224\0\u2252\0\u2280\0\u22ae"+
    "\0\u22dc\0\u230a\0\u2338\0\u2366\0\u2394\0\u23c2\0\u23f0\0\u241e"+
    "\0\u244c\0\u247a\0\u24a8\0\u24d6\0\u2504\0\u2532\0\u2560\0\u258e"+
    "\0\u25bc\0\u25ea\0\u2618\0\u2646\0\u2674\0\u26a2\0\u26d0\0\u26fe"+
    "\0\u272c\0\u275a\0\u2788\0\u27b6\0\u27e4\0\u2812\0\u2840\0\u286e"+
    "\0\u289c\0\u28ca\0\u28f8\0\u2926\0\u2954\0\u2982\0\u29b0\0\u29de"+
    "\0\u2a0c\0\u2a3a\0\u2a68\0\u2a96\0\u2ac4\0\u2af2\0\u2b20\0\u2b4e"+
    "\0\u2b7c\0\u2baa\0\u2bd8\0\u2c06\0\u2c34\0\u2c62\0\u2c90\0\u2cbe"+
    "\0\u2cec\0\u2d1a\0\u2d48\0\u2d76\0\u2da4\0\u2dd2\0\u2e00\0\u2e2e"+
    "\0\u2e5c\0\u2e8a\0\u2eb8\0\u2ee6\0\u2f14\0\u2f42\0\u2f70\0\u2f9e"+
    "\0\u2fcc\0\u2ffa\0\u3028\0\u3056\0\u3084\0\u30b2\0\u30e0\0\u310e"+
    "\0\u313c\0\u316a\0\u3198\0\u31c6\0\u31f4\0\u3222\0\u3250\0\u327e"+
    "\0\u32ac\0\u32da\0\u3308\0\u3336\0\u3364\0\u3392\0\u33c0\0\u33ee"+
    "\0\u341c\0\u344a\0\u3478\0\u34a6\0\u34d4\0\u3502\0\u25ea\0\u2674"+
    "\0\u3530\0\u355e\0\u358c\0\u35ba\0\u35e8\0\u275a\0\u3616\0\u3644"+
    "\0\u3672\0\u36a0\0\u36ce\0\u36fc\0\u372a\0\u3758\0\u3786\0\u37b4"+
    "\0\u37e2\0\u3810\0\u383e\0\u386c\0\u389a\0\u38c8\0\u38f6\0\u3924"+
    "\0\u3952\0\u3980\0\u39ae\0\u39dc\0\u3a0a\0\u3a38\0\u3a66\0\u3a94"+
    "\0\u3ac2\0\u3af0\0\u3b1e\0\u3b4c\0\u3b7a\0\u3ba8\0\u3bd6\0\u3c04"+
    "\0\u3c32\0\u3c60\0\u3c8e\0\u3cbc\0\u3cea\0\u3d18\0\u3d46\0\u3d74"+
    "\0\u3da2\0\u3dd0\0\u3dfe\0\u3e2c\0\u3e5a\0\u3e88\0\u3eb6\0\u3ee4"+
    "\0\u3f12\0\u3f40\0\u3f6e\0\u3f9c\0\u3fca\0\u3ff8\0\u4026\0\u4054"+
    "\0\u4082\0\u40b0\0\u2cec\0\u40de\0\u410c\0\u413a\0\u4168\0\u4196"+
    "\0\u2e00\0\u41c4\0\u41f2\0\u4220\0\u424e\0\u427c\0\u42aa\0\u42d8"+
    "\0\u4306\0\u4334\0\u4362\0\u4390\0\u43be\0\u43ec\0\u441a\0\u4448"+
    "\0\u4476\0\u44a4\0\u44d2\0\u4500\0\u452e\0\u455c\0\u36ce\0\u458a"+
    "\0\u45b8\0\u38f6\0\u45e6\0\u4614\0\u4642\0\u4670";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[406];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\23\4\1\5\110\4\1\6\2\7\1\6\1\7\1\10"+
    "\50\6\112\0\1\11\22\0\2\7\1\0\1\7\1\12"+
    "\110\0\1\13\36\0\1\14\62\0\1\15\71\0\1\16"+
    "\57\0\1\17\12\0\1\20\2\0\1\20\1\21\16\0"+
    "\1\22\73\0\1\23\13\0\24\20\1\22\31\20\40\0"+
    "\1\24\15\0\1\25\2\26\1\25\1\26\1\27\3\25"+
    "\10\30\2\25\1\0\2\25\1\31\1\25\1\32\1\25"+
    "\1\33\10\25\1\34\1\35\11\25\22\0\1\7\61\0"+
    "\1\36\27\0\23\25\1\0\16\25\1\37\14\25\2\26"+
    "\1\25\1\26\1\27\3\25\10\30\2\25\1\0\16\25"+
    "\1\37\36\25\1\0\14\25\1\40\1\25\1\37\23\25"+
    "\1\41\10\30\2\25\1\0\16\25\1\37\36\25\1\0"+
    "\16\25\1\37\1\42\35\25\1\0\1\25\1\43\14\25"+
    "\1\37\36\25\1\0\1\25\1\44\14\25\1\37\36\25"+
    "\1\0\15\25\1\45\1\37\12\25\1\45\23\25\1\0"+
    "\15\25\1\46\1\37\12\25\1\46\44\0\1\47\11\0"+
    "\23\25\1\0\16\25\1\37\1\50\35\25\1\0\2\25"+
    "\1\51\13\25\1\37\13\25\23\52\1\0\16\52\1\53"+
    "\13\52\23\25\1\0\16\25\1\37\3\25\1\54\32\25"+
    "\1\0\16\25\1\37\2\25\1\55\33\25\1\0\16\25"+
    "\1\37\2\25\1\43\33\25\1\0\13\25\1\56\2\25"+
    "\1\37\36\25\1\0\16\25\1\37\2\25\1\57\10\25"+
    "\42\0\1\60\13\0\23\25\1\0\5\25\1\61\10\25"+
    "\1\37\36\25\1\0\16\25\1\37\1\25\1\62\11\25"+
    "\23\52\1\0\16\52\1\53\1\63\12\52\23\25\1\0"+
    "\16\25\1\37\5\25\1\64\30\25\1\0\1\25\1\65"+
    "\13\25\1\65\1\37\12\25\1\65\23\25\1\0\1\25"+
    "\1\66\14\25\1\37\36\25\1\0\16\25\1\37\2\25"+
    "\1\67\10\25\22\0\1\20\33\0\23\25\1\0\16\25"+
    "\1\37\1\25\1\70\34\25\1\0\16\25\1\71\13\25"+
    "\23\52\1\0\5\52\1\72\10\52\1\53\13\52\23\25"+
    "\1\0\5\25\1\73\10\25\1\37\14\25\1\74\2\25"+
    "\1\74\1\75\15\25\1\0\16\25\1\37\14\25\1\66"+
    "\2\25\1\66\1\76\1\25\1\66\1\25\1\77\1\100"+
    "\1\101\1\102\4\103\2\25\1\0\16\25\1\37\36\25"+
    "\1\0\15\25\1\104\1\37\12\25\1\104\23\25\1\0"+
    "\5\25\1\105\10\25\1\37\35\25\1\26\1\0\16\25"+
    "\1\37\1\50\12\25\23\52\1\0\16\52\1\53\1\52"+
    "\1\106\11\52\23\25\1\0\12\25\1\107\3\25\1\37"+
    "\14\25\1\74\2\25\1\74\1\75\15\25\1\0\1\25"+
    "\1\110\14\25\1\37\36\25\1\0\14\25\1\111\1\25"+
    "\1\37\36\25\1\0\14\25\1\112\1\25\1\37\25\25"+
    "\7\103\2\25\1\0\16\25\1\37\14\25\1\103\2\25"+
    "\1\103\1\113\3\25\10\103\2\25\1\0\1\25\1\114"+
    "\2\25\1\115\1\25\1\116\1\117\2\25\1\120\1\121"+
    "\1\122\1\123\1\37\1\25\1\124\5\25\1\103\1\115"+
    "\1\116\1\125\1\25\1\103\2\25\1\103\1\113\3\25"+
    "\10\103\2\25\1\0\1\25\1\114\2\25\1\115\1\25"+
    "\1\116\1\117\2\25\1\120\1\121\1\122\1\123\1\37"+
    "\1\25\1\124\6\25\1\115\1\116\1\123\1\25\1\103"+
    "\2\25\1\103\1\113\3\25\2\103\10\25\1\0\1\25"+
    "\1\114\2\25\1\115\1\25\1\116\1\117\2\25\1\120"+
    "\1\121\1\122\1\123\1\37\1\25\1\124\6\25\1\115"+
    "\1\116\1\123\1\25\1\103\2\25\1\103\1\113\15\25"+
    "\1\0\1\25\1\114\2\25\1\115\1\25\1\116\1\117"+
    "\2\25\1\120\1\121\1\122\1\123\1\37\1\25\1\124"+
    "\6\25\1\115\1\116\1\123\23\25\1\0\16\25\1\37"+
    "\1\25\1\126\34\25\1\0\14\25\1\127\1\25\1\37"+
    "\13\25\23\52\1\0\5\52\1\130\10\52\1\53\13\52"+
    "\23\25\1\0\12\25\1\131\3\25\1\37\14\25\1\132"+
    "\2\25\1\132\1\133\15\25\1\0\16\25\1\37\36\25"+
    "\1\0\2\25\1\134\13\25\1\37\36\25\1\0\2\25"+
    "\1\135\13\25\1\37\36\25\1\0\14\25\1\136\1\25"+
    "\1\37\36\25\1\0\7\25\1\137\6\25\1\140\36\25"+
    "\1\0\11\25\1\141\4\25\1\37\36\25\1\0\5\25"+
    "\1\142\10\25\1\37\36\25\1\0\5\25\1\143\3\25"+
    "\1\144\4\25\1\37\36\25\1\0\16\25\1\37\3\25"+
    "\1\145\32\25\1\0\1\25\1\146\14\25\1\37\36\25"+
    "\1\0\15\25\1\147\1\37\12\25\1\147\23\25\1\0"+
    "\16\25\1\37\2\25\1\150\33\25\1\0\5\25\1\151"+
    "\10\25\1\37\14\25\1\103\2\25\1\103\1\113\15\25"+
    "\1\0\1\25\1\114\2\25\1\115\1\25\1\116\1\117"+
    "\2\25\1\120\1\121\1\122\1\123\1\37\1\25\1\124"+
    "\1\150\5\25\1\115\1\116\1\123\23\25\1\0\3\25"+
    "\1\152\12\25\1\37\36\25\1\0\16\25\1\37\2\25"+
    "\1\153\10\25\23\52\1\0\14\52\1\154\1\52\1\53"+
    "\13\52\23\25\1\0\5\25\1\155\10\25\1\37\36\25"+
    "\1\0\14\25\1\156\1\25\1\37\36\25\1\0\16\25"+
    "\1\37\1\25\1\157\34\25\1\0\16\25\1\37\1\25"+
    "\1\160\34\25\1\0\2\25\1\161\13\25\1\37\36\25"+
    "\1\0\15\25\1\162\1\37\12\25\1\162\23\25\1\0"+
    "\16\25\1\37\1\163\35\25\1\0\3\25\1\164\12\25"+
    "\1\37\36\25\1\0\2\25\1\165\13\25\1\37\36\25"+
    "\1\0\14\25\1\166\1\25\1\37\36\25\1\0\16\25"+
    "\1\37\3\25\1\167\32\25\1\0\7\25\1\170\6\25"+
    "\1\37\36\25\1\0\7\25\1\171\6\25\1\37\1\172"+
    "\35\25\1\0\16\25\1\37\4\25\1\164\31\25\1\0"+
    "\16\25\1\37\2\25\1\173\33\25\1\0\16\25\1\37"+
    "\2\25\1\174\33\25\1\0\16\25\1\37\1\175\12\25"+
    "\2\176\3\25\16\176\1\177\16\176\1\200\13\176\23\52"+
    "\1\0\16\52\1\53\2\52\1\201\10\52\23\25\1\0"+
    "\16\25\1\37\1\25\1\66\34\25\1\0\2\25\1\202"+
    "\13\25\1\37\36\25\1\0\16\25\1\203\36\25\1\0"+
    "\16\25\1\204\36\25\1\0\16\25\1\37\1\25\1\205"+
    "\12\25\1\206\2\25\1\206\1\207\1\210\1\25\1\206"+
    "\1\211\1\212\1\213\5\211\2\25\1\0\16\25\1\37"+
    "\1\25\1\214\12\25\1\206\2\25\1\206\1\207\1\210"+
    "\1\25\1\206\1\211\1\212\1\213\5\211\2\25\1\0"+
    "\5\25\1\61\3\25\1\215\4\25\1\37\14\25\1\206"+
    "\2\25\1\206\1\207\1\210\1\25\1\206\1\211\1\212"+
    "\1\213\5\211\2\25\1\0\5\25\1\216\10\25\1\37"+
    "\14\25\1\206\2\25\1\206\1\207\1\210\1\25\1\206"+
    "\1\211\1\212\1\213\5\211\2\25\1\0\2\25\1\217"+
    "\13\25\1\37\14\25\1\206\2\25\1\206\1\207\1\210"+
    "\1\25\1\206\1\211\1\212\1\213\5\211\2\25\1\0"+
    "\14\25\1\220\1\25\1\37\14\25\1\206\2\25\1\206"+
    "\1\207\1\210\1\25\1\206\1\211\1\212\1\213\5\211"+
    "\2\25\1\0\7\25\1\221\6\25\1\37\14\25\1\206"+
    "\2\25\1\206\1\207\1\210\1\25\1\206\1\211\1\212"+
    "\1\213\5\211\2\25\1\0\12\25\1\222\3\25\1\37"+
    "\14\25\1\206\2\25\1\206\1\207\1\210\1\25\1\206"+
    "\1\211\1\212\1\213\5\211\2\25\1\0\7\25\1\222"+
    "\6\25\1\37\14\25\1\206\2\25\1\206\1\207\1\210"+
    "\1\25\1\206\1\211\1\212\1\213\5\211\2\25\1\0"+
    "\16\25\1\37\6\25\1\223\5\25\1\206\2\25\1\206"+
    "\1\207\1\210\1\25\1\206\1\211\1\212\1\213\5\211"+
    "\2\25\1\0\15\25\1\224\1\37\12\25\1\224\1\25"+
    "\1\206\2\25\1\206\1\207\1\210\1\25\1\206\1\211"+
    "\1\212\1\213\5\211\2\25\1\0\16\25\1\37\2\25"+
    "\1\164\33\25\1\0\11\25\1\225\4\25\1\37\13\25"+
    "\23\226\1\0\16\226\1\227\13\226\23\230\1\0\32\230"+
    "\23\226\1\0\16\226\1\227\1\231\12\226\2\232\3\52"+
    "\16\232\1\177\16\232\1\233\13\232\23\25\1\0\16\25"+
    "\1\37\1\25\1\234\33\25\1\74\1\0\16\25\1\37"+
    "\1\50\34\25\1\66\1\0\16\25\1\37\1\50\35\25"+
    "\1\0\16\25\1\235\14\25\1\206\2\25\1\206\1\207"+
    "\1\210\2\25\1\211\1\212\1\213\5\211\2\25\1\0"+
    "\16\25\1\37\36\25\1\0\14\25\1\236\1\25\1\37"+
    "\24\25\10\211\2\25\1\0\16\25\1\37\24\25\10\237"+
    "\2\25\1\0\16\25\1\37\24\25\6\237\1\240\1\241"+
    "\2\25\1\0\16\25\1\37\24\25\1\242\7\237\2\25"+
    "\1\0\16\25\1\37\36\25\1\0\16\25\1\37\2\25"+
    "\1\223\33\25\1\0\12\25\1\243\3\25\1\37\36\25"+
    "\1\0\13\25\1\224\2\25\1\37\36\25\1\0\16\25"+
    "\1\37\1\220\35\25\1\0\1\25\1\222\14\25\1\37"+
    "\36\25\1\0\14\25\1\223\1\25\1\37\36\25\1\0"+
    "\11\25\1\223\4\25\1\37\36\25\1\0\15\25\1\206"+
    "\1\37\12\25\1\206\23\25\1\0\2\25\1\244\13\25"+
    "\1\37\36\25\1\0\16\25\1\37\2\25\1\245\10\25"+
    "\23\226\1\0\13\226\1\246\2\226\1\247\36\226\1\0"+
    "\13\226\1\246\2\226\1\247\1\231\12\226\23\230\1\0"+
    "\13\230\1\250\2\230\1\251\13\230\23\226\1\0\5\226"+
    "\1\252\5\226\1\246\2\226\1\247\13\226\23\253\1\0"+
    "\16\253\1\254\36\253\1\0\16\253\1\254\1\255\12\253"+
    "\23\25\1\0\16\25\1\256\35\25\1\103\1\0\16\25"+
    "\1\37\1\50\35\25\1\0\2\25\1\257\13\25\1\37"+
    "\31\25\3\211\2\25\1\0\16\25\1\37\24\25\3\211"+
    "\7\25\1\0\16\25\1\37\36\25\1\0\5\25\1\206"+
    "\10\25\1\37\36\25\1\0\16\25\1\37\1\243\35\25"+
    "\1\0\16\25\1\37\2\25\1\260\10\25\23\226\1\0"+
    "\13\226\1\246\2\226\1\247\3\226\1\261\32\226\1\0"+
    "\13\226\1\246\2\226\1\247\1\231\2\226\1\262\7\226"+
    "\23\230\1\0\13\230\1\250\2\230\1\251\3\230\1\263"+
    "\32\230\1\0\13\230\1\250\2\230\1\251\3\230\1\264"+
    "\7\230\23\226\1\0\13\226\1\246\2\226\1\247\1\226"+
    "\1\265\11\226\23\253\1\0\13\253\1\266\2\253\1\254"+
    "\36\253\1\0\13\253\1\266\2\253\1\254\1\255\35\253"+
    "\1\0\5\253\1\267\5\253\1\266\2\253\1\254\13\253"+
    "\22\25\1\132\1\0\16\25\1\37\1\50\35\25\1\0"+
    "\16\25\1\37\1\25\1\270\34\25\1\0\15\25\1\65"+
    "\1\37\12\25\1\65\23\226\1\0\13\226\1\246\1\271"+
    "\1\226\1\247\36\226\1\0\2\226\1\272\10\226\1\246"+
    "\2\226\1\247\13\226\23\230\1\0\13\230\1\250\1\273"+
    "\1\230\1\251\36\230\1\0\2\230\1\274\10\230\1\250"+
    "\2\230\1\251\13\230\23\226\1\0\5\226\1\275\5\226"+
    "\1\246\2\226\1\247\13\226\23\253\1\0\13\253\1\266"+
    "\2\253\1\254\3\253\1\276\32\253\1\0\13\253\1\266"+
    "\2\253\1\254\1\253\1\277\11\253\23\25\1\0\16\25"+
    "\1\300\13\25\23\226\1\0\11\226\1\301\1\226\1\246"+
    "\2\226\1\247\36\226\1\0\2\226\1\302\10\226\1\246"+
    "\2\226\1\247\13\226\23\230\1\0\11\230\1\303\1\230"+
    "\1\250\2\230\1\251\36\230\1\0\2\230\1\304\10\230"+
    "\1\250\2\230\1\251\13\230\23\226\1\0\13\226\1\246"+
    "\1\305\1\226\1\247\13\226\23\253\1\0\13\253\1\266"+
    "\1\306\1\253\1\254\36\253\1\0\5\253\1\307\5\253"+
    "\1\266\2\253\1\254\13\253\22\25\1\206\1\0\16\25"+
    "\1\37\1\50\12\25\23\226\1\0\13\226\1\246\2\226"+
    "\1\247\2\226\1\310\33\226\1\0\12\226\1\311\1\246"+
    "\2\226\1\247\13\226\23\230\1\0\13\230\1\250\2\230"+
    "\1\251\2\230\1\312\33\230\1\0\12\230\1\313\1\250"+
    "\2\230\1\251\13\230\23\226\1\0\13\226\1\246\2\226"+
    "\1\247\2\226\1\314\10\226\23\253\1\0\11\253\1\315"+
    "\1\253\1\266\2\253\1\254\36\253\1\0\13\253\1\266"+
    "\1\316\1\253\1\254\13\253\2\317\3\226\16\317\1\320"+
    "\13\317\1\321\2\317\1\322\13\317\23\226\1\0\11\226"+
    "\1\323\1\226\1\246\2\226\1\247\13\226\2\324\3\230"+
    "\16\324\1\320\13\324\1\325\2\324\1\326\13\324\23\230"+
    "\1\0\11\230\1\327\1\230\1\250\2\230\1\251\13\230"+
    "\23\226\1\177\13\226\1\246\2\226\1\247\13\226\23\253"+
    "\1\0\13\253\1\266\2\253\1\254\2\253\1\330\33\253"+
    "\1\0\13\253\1\266\2\253\1\254\2\253\1\331\10\253"+
    "\23\332\1\0\13\332\1\333\2\332\1\334\13\332\23\335"+
    "\1\0\32\335\23\332\1\0\13\332\1\333\2\332\1\334"+
    "\3\332\1\336\32\332\1\0\13\332\1\333\2\332\1\334"+
    "\1\337\2\332\1\340\7\332\23\226\1\0\3\226\1\341"+
    "\7\226\1\246\2\226\1\247\13\226\23\342\1\0\13\342"+
    "\1\343\2\342\1\344\36\342\1\0\13\342\1\343\2\342"+
    "\1\344\3\342\1\345\32\342\1\0\13\342\1\343\2\342"+
    "\1\344\3\342\1\346\7\342\23\230\1\0\3\230\1\347"+
    "\7\230\1\250\2\230\1\251\13\230\23\253\1\320\13\253"+
    "\1\266\2\253\1\254\36\253\1\177\13\253\1\266\2\253"+
    "\1\254\13\253\23\332\1\0\13\332\1\333\2\332\1\334"+
    "\1\332\1\350\34\332\1\0\13\332\1\333\2\332\1\334"+
    "\1\332\1\350\1\332\1\336\32\332\1\0\13\332\1\333"+
    "\2\332\1\334\1\337\1\350\1\332\1\340\7\332\23\335"+
    "\1\0\20\335\1\351\11\335\23\332\1\0\13\332\1\333"+
    "\1\352\1\332\1\334\1\332\1\350\34\332\1\0\5\332"+
    "\1\353\5\332\1\333\2\332\1\334\1\332\1\350\34\332"+
    "\1\0\2\332\1\354\10\332\1\333\2\332\1\334\1\332"+
    "\1\350\11\332\23\226\1\0\1\226\1\355\11\226\1\246"+
    "\2\226\1\247\13\226\23\342\1\0\13\342\1\343\2\342"+
    "\1\344\1\342\1\356\34\342\1\0\13\342\1\343\2\342"+
    "\1\344\1\342\1\356\1\342\1\345\32\342\1\0\13\342"+
    "\1\343\2\342\1\344\1\342\1\356\1\342\1\346\32\342"+
    "\1\0\13\342\1\343\1\357\1\342\1\344\1\342\1\356"+
    "\34\342\1\0\2\342\1\360\10\342\1\343\2\342\1\344"+
    "\1\342\1\356\11\342\23\230\1\0\1\230\1\361\11\230"+
    "\1\250\2\230\1\251\13\230\23\332\1\0\11\332\1\362"+
    "\1\332\1\333\2\332\1\334\1\332\1\350\11\332\23\335"+
    "\1\0\11\335\1\363\6\335\1\351\11\335\23\332\1\0"+
    "\11\332\1\364\1\332\1\333\2\332\1\334\1\332\1\350"+
    "\34\332\1\0\13\332\1\333\2\332\1\334\1\332\1\365"+
    "\34\332\1\0\2\332\1\366\10\332\1\333\2\332\1\334"+
    "\1\332\1\350\11\332\23\226\1\0\13\226\1\246\2\226"+
    "\1\247\2\226\1\367\10\226\23\342\1\0\11\342\1\370"+
    "\1\342\1\343\2\342\1\344\1\342\1\356\34\342\1\0"+
    "\11\342\1\371\1\342\1\343\2\342\1\344\1\342\1\356"+
    "\34\342\1\0\2\342\1\372\10\342\1\343\2\342\1\344"+
    "\1\342\1\356\11\342\23\230\1\0\13\230\1\250\2\230"+
    "\1\251\2\230\1\373\10\230\23\332\1\0\7\332\1\374"+
    "\3\332\1\333\2\332\1\334\1\332\1\350\11\332\23\335"+
    "\1\0\7\335\1\375\10\335\1\351\11\335\23\332\1\0"+
    "\13\332\1\333\2\332\1\334\1\332\1\350\1\376\33\332"+
    "\1\0\5\332\1\377\3\332\1\362\1\332\1\333\2\332"+
    "\1\334\1\332\1\350\34\332\1\0\12\332\1\u0100\1\333"+
    "\2\332\1\334\1\332\1\350\11\332\23\u0101\1\0\13\u0101"+
    "\1\u0102\2\u0101\1\u0103\13\u0101\23\342\1\0\7\342\1\u0104"+
    "\3\342\1\343\2\342\1\344\1\342\1\356\34\342\1\0"+
    "\13\342\1\343\2\342\1\344\1\342\1\356\1\u0105\33\342"+
    "\1\0\12\342\1\u0106\1\343\2\342\1\344\1\342\1\356"+
    "\11\342\23\u0107\1\0\13\u0107\1\u0108\16\u0107\23\332\1\0"+
    "\11\332\1\u0109\1\332\1\333\2\332\1\334\1\332\1\350"+
    "\11\332\23\335\1\0\11\335\1\u010a\6\335\1\351\11\335"+
    "\23\332\1\320\13\332\1\333\2\332\1\334\1\332\1\350"+
    "\34\332\1\0\13\332\1\333\1\u010b\1\332\1\334\1\332"+
    "\1\350\34\332\1\0\11\332\1\u010c\1\332\1\333\2\332"+
    "\1\334\1\332\1\350\11\332\23\u0101\1\0\2\u0101\1\u010d"+
    "\4\u0101\1\u010e\3\u0101\1\u0102\2\u0101\1\u0103\36\u0101\1\0"+
    "\2\u0101\1\u010d\4\u0101\1\u010e\3\u0101\1\u0102\2\u0101\1\u0103"+
    "\3\u0101\1\u010f\32\u0101\1\0\2\u0101\1\u010d\4\u0101\1\u010e"+
    "\3\u0101\1\u0102\2\u0101\1\u0103\1\u0110\12\u0101\23\342\1\0"+
    "\11\342\1\u0111\1\342\1\343\2\342\1\344\1\342\1\356"+
    "\34\342\1\320\13\342\1\343\2\342\1\344\1\342\1\356"+
    "\34\342\1\0\11\342\1\u0112\1\342\1\343\2\342\1\344"+
    "\1\342\1\356\11\342\23\u0107\1\0\2\u0107\1\u0113\4\u0107"+
    "\1\u0114\3\u0107\1\u0108\41\u0107\1\0\2\u0107\1\u0113\4\u0107"+
    "\1\u0114\3\u0107\1\u0108\6\u0107\1\u0115\7\u0107\23\332\1\0"+
    "\12\332\1\u0116\1\333\2\332\1\334\1\332\1\350\11\332"+
    "\23\335\1\0\12\335\1\u0117\5\335\1\351\11\335\23\332"+
    "\1\0\13\332\1\333\2\332\1\334\1\332\1\350\1\u0118"+
    "\33\332\1\0\3\332\1\u0119\7\332\1\333\2\332\1\334"+
    "\1\332\1\350\11\332\23\u0101\1\0\2\u0101\1\u010d\4\u0101"+
    "\1\u010e\3\u0101\1\u0102\1\u0101\1\u011a\1\u0103\12\u0101\1\u011a"+
    "\23\u0101\1\0\1\u0101\1\u011b\1\u010d\4\u0101\1\u010e\3\u0101"+
    "\1\u0102\2\u0101\1\u0103\36\u0101\1\0\2\u0101\1\u010d\4\u0101"+
    "\1\u010e\3\u0101\1\u0102\1\u011c\1\u0101\1\u0103\36\u0101\1\0"+
    "\2\u0101\1\u010d\2\u0101\1\u011d\1\u0101\1\u010e\3\u0101\1\u0102"+
    "\2\u0101\1\u0103\13\u0101\23\342\1\0\12\342\1\u011e\1\343"+
    "\2\342\1\344\1\342\1\356\34\342\1\0\3\342\1\u011f"+
    "\7\342\1\343\2\342\1\344\1\342\1\356\11\342\23\u0107"+
    "\1\0\2\u0107\1\u0113\4\u0107\1\u0114\3\u0107\1\u0108\1\u0107"+
    "\1\u0120\13\u0107\1\u0120\23\u0107\1\0\1\u0107\1\u0121\1\u0113"+
    "\4\u0107\1\u0114\3\u0107\1\u0108\41\u0107\1\0\2\u0107\1\u0113"+
    "\4\u0107\1\u0114\3\u0107\1\u0108\1\u0122\15\u0107\23\332\1\0"+
    "\12\332\1\u0123\1\333\2\332\1\334\1\332\1\350\11\332"+
    "\23\335\1\0\12\335\1\u0124\5\335\1\351\11\335\23\332"+
    "\1\177\13\332\1\333\2\332\1\334\1\332\1\350\34\332"+
    "\1\0\1\332\1\u0125\11\332\1\333\2\332\1\334\1\332"+
    "\1\350\11\332\23\u0101\1\0\2\u0101\1\u010d\4\u0101\1\u010e"+
    "\2\u0101\1\u0126\1\u0102\2\u0101\1\u0103\36\u0101\1\0\2\u0101"+
    "\1\u010d\4\u0101\1\u010e\3\u0101\1\u0102\2\u0101\1\u0103\6\u0101"+
    "\1\u0127\27\u0101\1\0\2\u0101\1\u010d\4\u0101\1\u010e\1\u0101"+
    "\1\u0128\1\u0101\1\u0102\2\u0101\1\u0103\36\u0101\1\0\2\u0101"+
    "\1\u010d\4\u0101\1\u010e\3\u0101\1\u0102\2\u0101\1\u0103\1\u0101"+
    "\1\u0129\11\u0101\23\342\1\0\12\342\1\u012a\1\343\2\342"+
    "\1\344\1\342\1\356\34\342\1\0\1\342\1\u012b\11\342"+
    "\1\343\2\342\1\344\1\342\1\356\11\342\23\u0107\1\0"+
    "\2\u0107\1\u0113\4\u0107\1\u0114\2\u0107\1\u012c\1\u0108\41\u0107"+
    "\1\0\2\u0107\1\u0113\4\u0107\1\u0114\3\u0107\1\u0108\11\u0107"+
    "\1\u012d\27\u0107\1\0\2\u0107\1\u0113\4\u0107\1\u0114\1\u0107"+
    "\1\u012e\1\u0107\1\u0108\16\u0107\23\332\1\0\13\332\1\333"+
    "\1\332\1\u012f\1\334\1\332\1\350\10\332\1\u012f\23\335"+
    "\1\0\15\335\1\u0130\2\335\1\351\10\335\1\u0130\23\332"+
    "\1\0\13\332\1\333\2\332\1\334\1\332\1\350\1\u0131"+
    "\10\332\23\u0101\1\0\2\u0101\1\u010d\4\u0101\1\u010e\2\u0101"+
    "\1\u0132\1\u0102\2\u0101\1\u0103\36\u0101\1\0\2\u0101\1\u010d"+
    "\4\u0101\1\u010e\3\u0101\1\u0102\2\u0101\1\u0103\6\u0101\1\u0133"+
    "\27\u0101\1\0\2\u0101\1\u010d\4\u0101\1\u010e\3\u0101\1\u0102"+
    "\2\u0101\1\u0103\2\u0101\1\u0134\33\u0101\1\0\2\u0101\1\u010d"+
    "\2\u0101\1\u0135\1\u0101\1\u010e\3\u0101\1\u0102\2\u0101\1\u0103"+
    "\13\u0101\23\342\1\0\13\342\1\343\1\342\1\u0136\1\344"+
    "\1\342\1\356\10\342\1\u0136\23\342\1\0\13\342\1\343"+
    "\2\342\1\344\1\342\1\356\1\u0137\10\342\23\u0107\1\0"+
    "\2\u0107\1\u0113\4\u0107\1\u0114\2\u0107\1\u0138\1\u0108\41\u0107"+
    "\1\0\2\u0107\1\u0113\4\u0107\1\u0114\3\u0107\1\u0108\11\u0107"+
    "\1\u0139\27\u0107\1\0\2\u0107\1\u0113\4\u0107\1\u0114\3\u0107"+
    "\1\u0108\5\u0107\1\u013a\10\u0107\23\u013b\1\0\13\u013b\1\u013c"+
    "\2\u013b\1\u013d\1\u013b\1\u013e\11\u013b\23\u0101\1\0\2\u0101"+
    "\1\u010d\2\u0101\1\u013f\1\u0101\1\u010e\3\u0101\1\u0102\2\u0101"+
    "\1\u0103\36\u0101\1\0\2\u0101\1\u010d\2\u0101\1\u0140\1\u0101"+
    "\1\u010e\3\u0101\1\u0102\2\u0101\1\u0103\13\u0101\2\u0141\3\u0101"+
    "\16\u0141\1\320\2\u0141\1\u0142\4\u0141\1\u0143\3\u0141\1\u0144"+
    "\2\u0141\1\u0145\13\u0141\23\u0101\1\0\2\u0101\1\u010d\4\u0101"+
    "\1\u010e\3\u0101\1\u0102\1\u0146\1\u0101\1\u0103\13\u0101\23\u0147"+
    "\1\0\13\u0147\1\u0148\4\u0147\1\u0149\11\u0147\23\u0107\1\0"+
    "\2\u0107\1\u0113\2\u0107\1\u014a\1\u0107\1\u0114\3\u0107\1\u0108"+
    "\41\u0107\1\0\2\u0107\1\u0113\2\u0107\1\u014b\1\u0107\1\u0114"+
    "\3\u0107\1\u0108\16\u0107\2\u014c\3\u0107\16\u014c\1\320\2\u014c"+
    "\1\u014d\4\u014c\1\u014e\3\u014c\1\u014f\16\u014c\23\u013b\1\0"+
    "\2\u013b\1\u0150\4\u013b\1\u0151\3\u013b\1\u013c\2\u013b\1\u013d"+
    "\1\u013b\1\u013e\34\u013b\1\0\2\u013b\1\u0150\4\u013b\1\u0151"+
    "\3\u013b\1\u013c\2\u013b\1\u013d\1\u013b\1\u013e\1\u013b\1\u0152"+
    "\32\u013b\1\0\2\u013b\1\u0150\4\u013b\1\u0151\3\u013b\1\u013c"+
    "\2\u013b\1\u013d\1\u0153\1\u013e\34\u013b\1\0\2\u013b\1\u0150"+
    "\4\u013b\1\u0151\1\u013b\1\u0154\1\u013b\1\u013c\2\u013b\1\u013d"+
    "\1\u013b\1\u013e\11\u013b\23\u0101\1\0\2\u0101\1\u010d\4\u0101"+
    "\1\u010e\3\u0101\1\u0102\2\u0101\1\u0103\2\u0101\1\u0155\33\u0101"+
    "\1\0\2\u0101\1\u010d\4\u0101\1\u010e\3\u0101\1\u0102\2\u0101"+
    "\1\u0103\2\u0101\1\u0156\10\u0101\23\u013b\1\0\2\u013b\1\u0150"+
    "\4\u013b\1\u0151\3\u013b\1\u013c\2\u013b\1\u013d\36\u013b\1\0"+
    "\2\u013b\1\u0150\4\u013b\1\u0151\3\u013b\1\u013c\1\u013b\1\u0157"+
    "\1\u013d\12\u013b\1\u0157\23\u013b\1\0\1\u013b\1\u0158\1\u0150"+
    "\4\u013b\1\u0151\3\u013b\1\u013c\2\u013b\1\u013d\36\u013b\1\0"+
    "\2\u013b\1\u0150\4\u013b\1\u0151\3\u013b\1\u013c\2\u013b\1\u013d"+
    "\3\u013b\1\u0152\32\u013b\1\0\2\u013b\1\u0150\4\u013b\1\u0151"+
    "\3\u013b\1\u013c\2\u013b\1\u013d\1\u0153\12\u013b\23\u0101\1\0"+
    "\2\u0101\1\u010d\4\u0101\1\u010e\3\u0101\1\u0102\2\u0101\1\u0103"+
    "\2\u0101\1\u0159\10\u0101\23\u0147\1\0\2\u0147\1\u015a\4\u0147"+
    "\1\u015b\3\u0147\1\u0148\4\u0147\1\u0149\34\u0147\1\0\2\u0147"+
    "\1\u015a\4\u0147\1\u015b\3\u0147\1\u0148\4\u0147\1\u0149\1\u0147"+
    "\1\u015c\32\u0147\1\0\2\u0147\1\u015a\4\u0147\1\u015b\1\u0147"+
    "\1\u015d\1\u0147\1\u0148\4\u0147\1\u0149\11\u0147\23\u0107\1\0"+
    "\2\u0107\1\u0113\4\u0107\1\u0114\3\u0107\1\u0108\5\u0107\1\u015e"+
    "\33\u0107\1\0\2\u0107\1\u0113\4\u0107\1\u0114\3\u0107\1\u0108"+
    "\5\u0107\1\u015f\10\u0107\23\u0147\1\0\2\u0147\1\u015a\4\u0147"+
    "\1\u015b\3\u0147\1\u0148\41\u0147\1\0\2\u0147\1\u015a\4\u0147"+
    "\1\u015b\3\u0147\1\u0148\1\u0147\1\u0160\13\u0147\1\u0160\23\u0147"+
    "\1\0\1\u0147\1\u0161\1\u015a\4\u0147\1\u015b\3\u0147\1\u0148"+
    "\41\u0147\1\0\2\u0147\1\u015a\4\u0147\1\u015b\3\u0147\1\u0148"+
    "\6\u0147\1\u015c\7\u0147\23\u013b\1\0\2\u013b\1\u0150\4\u013b"+
    "\1\u0151\3\u013b\1\u013c\1\u013b\1\u0157\1\u013d\1\u013b\1\u013e"+
    "\10\u013b\1\u0157\23\u013b\1\0\1\u013b\1\u0158\1\u0150\4\u013b"+
    "\1\u0151\3\u013b\1\u013c\2\u013b\1\u013d\1\u013b\1\u013e\34\u013b"+
    "\1\0\2\u013b\1\u0150\4\u013b\1\u0151\3\u013b\1\u013c\1\u0162"+
    "\1\u013b\1\u013d\1\u013b\1\u013e\34\u013b\1\0\2\u013b\1\u0150"+
    "\2\u013b\1\u0163\1\u013b\1\u0151\3\u013b\1\u013c\2\u013b\1\u013d"+
    "\1\u013b\1\u013e\34\u013b\1\0\2\u013b\1\u0150\4\u013b\1\u0164"+
    "\3\u013b\1\u013c\2\u013b\1\u013d\1\u013b\1\u013e\11\u013b\23\u0101"+
    "\1\0\2\u0101\1\u010d\4\u0101\1\u010e\3\u0101\1\u0102\2\u0101"+
    "\1\u0103\2\u0101\1\u0165\33\u0101\1\0\2\u0101\1\u010d\4\u0101"+
    "\1\u010e\3\u0101\1\u0102\2\u0101\1\u0103\2\u0101\1\u0166\10\u0101"+
    "\23\u013b\1\0\2\u013b\1\u0150\4\u013b\1\u0151\2\u013b\1\u0167"+
    "\1\u013c\2\u013b\1\u013d\1\u013b\1\u013e\34\u013b\1\0\2\u013b"+
    "\1\u0150\4\u013b\1\u0151\3\u013b\1\u013c\2\u013b\1\u013d\1\u013b"+
    "\1\u013e\4\u013b\1\u0168\4\u013b\23\u0101\1\177\2\u0101\1\u010d"+
    "\4\u0101\1\u010e\3\u0101\1\u0102\2\u0101\1\u0103\13\u0101\23\u0147"+
    "\1\0\2\u0147\1\u015a\4\u0147\1\u015b\3\u0147\1\u0148\1\u0147"+
    "\1\u0160\2\u0147\1\u0149\10\u0147\1\u0160\23\u0147\1\0\1\u0147"+
    "\1\u0161\1\u015a\4\u0147\1\u015b\3\u0147\1\u0148\4\u0147\1\u0149"+
    "\34\u0147\1\0\2\u0147\1\u015a\4\u0147\1\u015b\3\u0147\1\u0148"+
    "\1\u0169\3\u0147\1\u0149\34\u0147\1\0\2\u0147\1\u015a\4\u0147"+
    "\1\u016a\3\u0147\1\u0148\4\u0147\1\u0149\11\u0147\23\u0107\1\0"+
    "\2\u0107\1\u0113\4\u0107\1\u0114\3\u0107\1\u0108\5\u0107\1\u016b"+
    "\33\u0107\1\0\2\u0107\1\u0113\4\u0107\1\u0114\3\u0107\1\u0108"+
    "\5\u0107\1\u016c\10\u0107\23\u0147\1\0\2\u0147\1\u015a\4\u0147"+
    "\1\u015b\2\u0147\1\u016d\1\u0148\4\u0147\1\u0149\34\u0147\1\0"+
    "\2\u0147\1\u015a\4\u0147\1\u015b\3\u0147\1\u0148\4\u0147\1\u0149"+
    "\4\u0147\1\u016e\4\u0147\23\u013b\1\0\2\u013b\1\u0150\4\u013b"+
    "\1\u0151\1\u013b\1\u016f\1\u013b\1\u013c\2\u013b\1\u013d\1\u013b"+
    "\1\u013e\34\u013b\1\0\2\u013b\1\u0150\4\u013b\1\u0151\3\u013b"+
    "\1\u013c\2\u013b\1\u013d\1\u013b\1\u0170\34\u013b\1\0\1\u013b"+
    "\1\u0158\1\u0150\4\u013b\1\u0151\1\u013b\1\u0171\1\u013b\1\u013c"+
    "\2\u013b\1\u013d\1\u013b\1\u013e\11\u013b\23\u0101\1\0\2\u0101"+
    "\1\u010d\4\u0101\1\u010e\1\u0101\1\u0172\1\u0101\1\u0102\2\u0101"+
    "\1\u0103\36\u0101\1\0\1\u0101\1\u0173\1\u010d\4\u0101\1\u010e"+
    "\3\u0101\1\u0102\2\u0101\1\u0103\13\u0101\23\u013b\1\0\2\u013b"+
    "\1\u0150\4\u013b\1\u0151\2\u013b\1\u0174\1\u013c\2\u013b\1\u013d"+
    "\1\u013b\1\u013e\34\u013b\1\0\2\u013b\1\u0150\4\u013b\1\u0151"+
    "\3\u013b\1\u013c\2\u013b\1\u013d\1\u013b\1\u013e\4\u013b\1\u0175"+
    "\4\u013b\23\u0147\1\0\2\u0147\1\u015a\4\u0147\1\u015b\1\u0147"+
    "\1\u0176\1\u0147\1\u0148\4\u0147\1\u0149\34\u0147\1\0\1\u0147"+
    "\1\u0161\1\u015a\4\u0147\1\u015b\1\u0147\1\u0177\1\u0147\1\u0148"+
    "\4\u0147\1\u0149\11\u0147\23\u0107\1\0\2\u0107\1\u0113\4\u0107"+
    "\1\u0114\1\u0107\1\u0178\1\u0107\1\u0108\41\u0107\1\0\1\u0107"+
    "\1\u0179\1\u0113\4\u0107\1\u0114\3\u0107\1\u0108\16\u0107\23\u0147"+
    "\1\0\2\u0147\1\u015a\4\u0147\1\u015b\2\u0147\1\u017a\1\u0148"+
    "\4\u0147\1\u0149\34\u0147\1\0\2\u0147\1\u015a\4\u0147\1\u015b"+
    "\3\u0147\1\u0148\4\u0147\1\u0149\4\u0147\1\u017b\4\u0147\23\u013b"+
    "\1\0\2\u013b\1\u0150\4\u013b\1\u0151\3\u013b\1\u013c\2\u013b"+
    "\1\u013d\1\u013b\1\u013e\1\u017c\33\u013b\1\0\2\u013b\1\u0150"+
    "\2\u013b\1\u017d\1\u013b\1\u0151\1\u013b\1\u0154\1\u013b\1\u013c"+
    "\2\u013b\1\u013d\1\u013b\1\u013e\34\u013b\1\0\2\u013b\1\u0150"+
    "\4\u013b\1\u0151\2\u013b\1\u017e\1\u013c\2\u013b\1\u013d\1\u013b"+
    "\1\u013e\11\u013b\23\u0101\1\0\2\u0101\1\u010d\4\u0101\1\u010e"+
    "\3\u0101\1\u0102\1\u017f\1\u0101\1\u0103\13\u0101\23\u013b\1\0"+
    "\2\u013b\1\u0150\2\u013b\1\u0180\1\u013b\1\u0151\3\u013b\1\u013c"+
    "\2\u013b\1\u013d\1\u013b\1\u013e\34\u013b\1\0\2\u013b\1\u0150"+
    "\2\u013b\1\u0181\1\u013b\1\u0151\3\u013b\1\u013c\2\u013b\1\u013d"+
    "\1\u013b\1\u013e\11\u013b\23\u0147\1\0\2\u0147\1\u015a\4\u0147"+
    "\1\u015b\3\u0147\1\u0148\4\u0147\1\u0149\1\u0182\33\u0147\1\0"+
    "\2\u0147\1\u015a\4\u0147\1\u015b\2\u0147\1\u0183\1\u0148\4\u0147"+
    "\1\u0149\11\u0147\23\u0107\1\0\2\u0107\1\u0113\4\u0107\1\u0114"+
    "\3\u0107\1\u0108\1\u0184\15\u0107\23\u0147\1\0\2\u0147\1\u015a"+
    "\2\u0147\1\u0185\1\u0147\1\u015b\3\u0147\1\u0148\4\u0147\1\u0149"+
    "\34\u0147\1\0\2\u0147\1\u015a\2\u0147\1\u0186\1\u0147\1\u015b"+
    "\3\u0147\1\u0148\4\u0147\1\u0149\11\u0147\23\u013b\1\320\2\u013b"+
    "\1\u0150\4\u013b\1\u0151\3\u013b\1\u013c\2\u013b\1\u013d\1\u013b"+
    "\1\u013e\34\u013b\1\0\2\u013b\1\u0150\4\u013b\1\u0151\3\u013b"+
    "\1\u013c\1\u0187\1\u013b\1\u013d\1\u013b\1\u013e\34\u013b\1\0"+
    "\2\u013b\1\u0150\4\u013b\1\u0151\2\u013b\1\u0188\1\u013c\2\u013b"+
    "\1\u013d\1\u013b\1\u013e\11\u013b\23\u0101\1\0\2\u0101\1\u010d"+
    "\4\u0101\1\u010e\3\u0101\1\u0102\1\u0101\1\u0173\1\u0103\12\u0101"+
    "\1\u0173\23\u013b\1\0\2\u013b\1\u0150\4\u013b\1\u0151\3\u013b"+
    "\1\u013c\2\u013b\1\u013d\1\u013b\1\u013e\1\u0189\33\u013b\1\0"+
    "\2\u013b\1\u0150\4\u013b\1\u0151\3\u013b\1\u013c\2\u013b\1\u013d"+
    "\1\u013b\1\u013e\1\u018a\10\u013b\23\u0147\1\320\2\u0147\1\u015a"+
    "\4\u0147\1\u015b\3\u0147\1\u0148\4\u0147\1\u0149\34\u0147\1\0"+
    "\2\u0147\1\u015a\4\u0147\1\u015b\2\u0147\1\u018b\1\u0148\4\u0147"+
    "\1\u0149\11\u0147\23\u0107\1\0\2\u0107\1\u0113\4\u0107\1\u0114"+
    "\3\u0107\1\u0108\1\u0107\1\u0179\13\u0107\1\u0179\23\u0147\1\0"+
    "\2\u0147\1\u015a\4\u0147\1\u015b\3\u0147\1\u0148\4\u0147\1\u0149"+
    "\1\u018c\33\u0147\1\0\2\u0147\1\u015a\4\u0147\1\u015b\3\u0147"+
    "\1\u0148\4\u0147\1\u0149\1\u018d\10\u0147\23\u013b\1\0\2\u013b"+
    "\1\u0150\4\u013b\1\u0151\3\u013b\1\u013c\2\u013b\1\u013d\1\u013b"+
    "\1\u013e\1\u018e\33\u013b\1\0\2\u013b\1\u0150\4\u013b\1\u0151"+
    "\3\u013b\1\u013c\1\u013b\1\u018f\1\u013d\1\u013b\1\u013e\10\u013b"+
    "\1\u018f\23\u013b\1\0\2\u013b\1\u0150\4\u013b\1\u0151\3\u013b"+
    "\1\u013c\2\u013b\1\u013d\1\u013b\1\u013e\1\u0190\33\u013b\1\0"+
    "\2\u013b\1\u0150\4\u013b\1\u0151\3\u013b\1\u013c\2\u013b\1\u013d"+
    "\1\u013b\1\u013e\1\u0191\10\u013b\23\u0147\1\0\2\u0147\1\u015a"+
    "\4\u0147\1\u015b\3\u0147\1\u0148\1\u0147\1\u0192\2\u0147\1\u0149"+
    "\10\u0147\1\u0192\23\u0147\1\0\2\u0147\1\u015a\4\u0147\1\u015b"+
    "\3\u0147\1\u0148\4\u0147\1\u0149\1\u0193\33\u0147\1\0\2\u0147"+
    "\1\u015a\4\u0147\1\u015b\3\u0147\1\u0148\4\u0147\1\u0149\1\u0194"+
    "\10\u0147\23\u013b\1\177\2\u013b\1\u0150\4\u013b\1\u0151\3\u013b"+
    "\1\u013c\2\u013b\1\u013d\1\u013b\1\u013e\34\u013b\1\0\2\u013b"+
    "\1\u0150\4\u013b\1\u0151\1\u013b\1\u0195\1\u013b\1\u013c\2\u013b"+
    "\1\u013d\1\u013b\1\u013e\34\u013b\1\0\1\u013b\1\u018f\1\u0150"+
    "\4\u013b\1\u0151\3\u013b\1\u013c\2\u013b\1\u013d\1\u013b\1\u013e"+
    "\11\u013b\23\u0147\1\0\2\u0147\1\u015a\4\u0147\1\u015b\1\u0147"+
    "\1\u0196\1\u0147\1\u0148\4\u0147\1\u0149\34\u0147\1\0\1\u0147"+
    "\1\u0192\1\u015a\4\u0147\1\u015b\3\u0147\1\u0148\4\u0147\1\u0149"+
    "\11\u0147\23\u013b\1\0\2\u013b\1\u0150\4\u013b\1\u0151\3\u013b"+
    "\1\u013c\1\u0188\1\u013b\1\u013d\1\u013b\1\u013e\11\u013b\23\u0147"+
    "\1\0\2\u0147\1\u015a\4\u0147\1\u015b\3\u0147\1\u0148\1\u018b"+
    "\3\u0147\1\u0149\11\u0147";

  private static int [] zzUnpacktrans() {
    int [] result = new int[18078];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\3\0\1\11\1\1\1\11\2\1\41\0\2\1\7\0"+
    "\1\1\6\0\1\1\13\0\1\1\21\0\1\1\1\0"+
    "\1\1\21\0\1\1\24\0\1\1\30\0\2\1\3\0"+
    "\4\1\10\0\3\1\10\0\2\1\6\0\2\1\6\0"+
    "\2\1\5\0\2\1\11\0\2\1\125\0\2\1\5\0"+
    "\1\1\74\0\1\1\5\0\1\1\25\0\1\1\2\0"+
    "\1\1\4\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[406];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	Footer() { }
	
	private String formulaFinale = "";
	
	String getFormulaFinale() {
	
		return formulaFinale;
	}
	


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  public Footer(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
            switch (zzLexicalState) {
            case inFooter: {
              output.append("</mrk:conclusione>");
		
		return YYEOF;
            }  // fall though
            case 407: break;
            default:
              {
                output.append("</mrk:corpo>");
	
	return YYEOF;
              }
        }
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { output.append(yytext());
            }
          // fall through
          case 5: break;
          case 2:
            { output.append("<mrk:conclusione>" + yytext());
		
		yybegin(inFooter);
            }
          // fall through
          case 6: break;
          case 3:
            { //Se inizia un comma non può essere qui la formula finale
	output.append(yytext());
            }
          // fall through
          case 7: break;
          case 4:
            { formulaFinale = yytext().trim();
		
	output.append("</mrk:corpo>");
	
	yypushback(yylength());
	
	yybegin(inFooterStart);
            }
          // fall through
          case 8: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java Footer [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        Footer scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new Footer(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
